export declare const customColours: {
    hue: string;
    tint: string;
    shade: string;
    analogue: string;
    accent: string;
};
export declare const RFTheme: {
    customColours: {
        hue: string;
        tint: string;
        shade: string;
        analogue: string;
        accent: string;
    };
    body: {
        bg: string;
    };
    text: {
        font: {
            sans: string;
            serif: string;
            mono: string;
        };
        paras: {
            font: string;
            size: number;
            color: string;
            weight: number;
            lineHeight: number;
        };
        headings: {
            font: string;
            color: string;
            weight: number;
            multiplier: number;
            lineHeight: number;
        };
        links: {
            font: string;
            default: {
                color: string;
            };
            onHover: {
                color: string;
            };
        };
        selection: {
            bg: string;
            text: string;
        };
        code: {
            inline: {
                bg: string;
                text: string;
                scale: number;
            };
            block: {
                bg: string;
                text: string;
                scale: number;
                lineHeight: number;
            };
            prism: {
                tokens: {
                    tag: string;
                    atrule: string;
                    attrName: string;
                    attrValue: string;
                    boolean: string;
                    cdata: string;
                    className: string;
                    comment: string;
                    constant: string;
                    deleted: string;
                    delimiter: string;
                    doctype: string;
                    entity: string;
                    function: string;
                    hexcode: string;
                    inserted: string;
                    italic: string;
                    keyword: string;
                    namespace: string;
                    number: string;
                    operator: string;
                    plain: string;
                    prolog: string;
                    property: string;
                    punctuation: string;
                    regex: string;
                    selector: string;
                    string: string;
                    symbol: string;
                    url: string;
                    variable: string;
                };
                languages: {
                    css: {
                        fallback: string;
                    };
                    html: {
                        fallback: string;
                    };
                    js: {
                        fallback: string;
                    };
                    json: {
                        fallback: string;
                        tokens: {
                            string: string;
                        };
                    };
                };
            };
        };
        kbd: {
            text: string;
            bg: string;
        };
    };
    card: {
        bg: string;
        border: string;
        borderRadius: string;
    };
    infoPanel: {
        bg: string;
        border: string;
        dismissButton: {
            bg: string;
            color: string;
            content: string;
        };
    };
    breadcrumb: {
        wrapper: {
            bg: string;
        };
        item: {
            text: string;
            separator: string;
            active: string;
            inactive: string;
        };
    };
    button: {
        font: string;
        primary: {
            default: {
                bg: string;
                border: string;
                text: string;
                borderRadius: string;
            };
            onHover: {
                bg: string;
                border: string;
                text: string;
            };
            isActive: {
                bg: string;
                border: string;
                text: string;
            };
            isLoading: {
                spinnerBorder: string;
            };
        };
        secondary: {
            default: {
                bg: string;
                border: string;
                text: string;
                borderRadius: string;
            };
            onHover: {
                bg: string;
                border: string;
                text: string;
            };
            isActive: {
                bg: string;
                border: string;
                text: string;
            };
            isLoading: {
                spinnerBorder: string;
            };
        };
        tertiary: {
            default: {
                bg: string;
                border: string;
                text: string;
                borderRadius: string;
            };
            onHover: {
                bg: string;
                border: string;
                text: string;
            };
            isActive: {
                bg: string;
                border: string;
                text: string;
            };
            isLoading: {
                spinnerBorder: string;
            };
        };
    };
    hr: {
        primary: {
            bg: string;
            height: string;
        };
        secondary: {
            bg: string;
            height: string;
        };
        tertiary: {
            bg: string;
            height: string;
        };
    };
    input: {
        default: {
            bg: string;
            border: string;
            label: string;
            text: string;
            borderRadius: string;
        };
        onFocus: {
            bg: string;
            border: string;
            text: string;
            helpText: string;
        };
        isValid: {
            bg: string;
            border: string;
            label: string;
        };
        isInvalid: {
            bg: string;
            border: string;
            label: string;
            helpText: string;
        };
        isReadOnly: {
            bg: string;
            border: string;
            label: string;
        };
        required: {
            text: string;
        };
        icons: {
            default: {
                fill: string;
            };
            onFocus: {
                fill: string;
            };
            isValid: {
                bg: string;
                border: string;
            };
        };
        select: {
            chevron: string;
        };
        radioButton: {
            inset: {
                default: {
                    bg: string;
                };
                onHover: {
                    bg: string;
                };
                isSelected: {
                    bg: string;
                };
                isDisabled: {
                    bg: string;
                };
            };
            circle: {
                default: {
                    bg: string;
                };
            };
        };
        checkBox: {
            square: {
                default: {
                    bg: string;
                };
                onHover: {
                    bg: string;
                };
                isChecked: {
                    bg: string;
                };
                isDisabled: {
                    bg: string;
                };
            };
            check: {
                default: {
                    border: string;
                };
            };
        };
        toggleSwitch: {
            switch: {
                default: {
                    bg: string;
                };
                isChecked: {
                    bg: string;
                };
            };
        };
    };
    sidebar: {
        isCollapsed: {
            label: {
                text: string;
                bg: string;
            };
        };
        header: {
            bg: string;
            borderBottom: string;
            logoWidth: string;
        };
        body: {
            bg: string;
        };
        icons: {
            size: string;
            stroked: {
                thickness: number;
                default: {
                    line: string;
                };
                onHover: {
                    line: string;
                };
                isActive: {
                    line: string;
                };
            };
            filled: {
                default: {
                    bg: string;
                };
                onHover: {
                    bg: string;
                };
                isActive: {
                    bg: string;
                };
            };
        };
        links: {
            default: {
                bg: string;
                text: string;
                scale: number;
                weight: number;
            };
            onHover: {
                bg: string;
                text: string;
            };
            isSelected: {
                bg: string;
                border: string;
                text: string;
            };
            hasAlert: {
                bg: string;
            };
        };
        subLinks: {
            header: {
                weight: number;
            };
            default: {
                bg: string;
                text: string;
                weight: number;
                scale: number;
            };
            onHover: {
                bg: string;
                text: string;
            };
            chevron: {
                border: string;
            };
        };
        footer: {
            bg: string;
            borderTop: string;
        };
    };
    notification: {
        default: {
            bg: string;
            text: string;
        };
        types: {
            info: {
                border: string;
            };
            warning: {
                border: string;
            };
            error: {
                border: string;
            };
            success: {
                border: string;
            };
        };
    };
    table: {
        bg: string;
        text: string;
        border: string;
        striped: {
            header: {
                bg: string;
            };
            cell: {
                bg: string;
            };
        };
        onHover: {
            bg: string;
            text: string;
        };
    };
    progressBar: {
        bg: string;
        fill: string;
        label: string;
        value: string;
    };
    tabs: {
        label: {
            default: {
                text: string;
            };
            onHover: {
                text: string;
            };
            isActive: {
                border: string;
                text: string;
            };
            isDisabled: {
                text: string;
            };
            hasAlert: {
                circle: {
                    bg: string;
                    border: string;
                };
            };
        };
    };
};
